Engineering
Releases
News and Events

Spring Data Hopper SR4 and Gosling SR6 released

On behalf of the entire team I’d like to announce the availability of two service releases for Spring Data release trains: Hopper SR4 and Gosling SR6. The releases are recommended upgrades as they contain fixes for a CVE in Spring Data JPA.

Spring Boot 1.3.8 and 1.4.1 users got Hopper SR3 and Gosling SR5 shipped out of the box. Those releases also already contain the fixes for CVE but unfortunately broke Java 6 compatibility. To re-instantiate the latter, please upgrade to the latest ones by setting the spring-data-releasetrain.version property to the corresponding value. Non-Boot users can just upgrade to the new BOM. As usual, the next Spring Boot releases will pick up the improved fixes as part of their dependency upgrades.

Here’s the content of the releases:

Spring Data Hopper SR4

Spring Data Gosling SR6

comments powered by Disqus